VULKAN_HPP_NAMESPACE::FlagTraits< DisplayPlaneAlphaFlagBitsKHR > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(DisplayPlaneAlphaFlagBitsKHR::eOpaque) | VkFlags(DisplayPlaneAlphaFlagBitsKHR::eGlobal) | VkFlags(DisplayPlaneAlphaFlagBitsKHR::ePerPixel) | VkFlags(DisplayPlaneAlphaFlagBitsKHR::ePerPixelPremultiplied) }

## Detailed Description

Definition at line 29200 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 29202 of file vulkan.hpp.

{
allFlags = VkFlags(DisplayPlaneAlphaFlagBitsKHR::eOpaque) | VkFlags(DisplayPlaneAlphaFlagBitsKHR::eGlobal) | VkFlags(DisplayPlaneAlphaFlagBitsKHR::ePerPixel) | VkFlags(DisplayPlaneAlphaFlagBitsKHR::ePerPixelPremultiplied)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DisplayPlaneAlphaFlagBitsKHR::ePerPixel
@ ePerPixel
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::DisplayPlaneAlphaFlagBitsKHR::ePerPixelPremultiplied
@ ePerPixelPremultiplied
VULKAN_HPP_NAMESPACE::DisplayPlaneAlphaFlagBitsKHR::eOpaque
@ eOpaque
VULKAN_HPP_NAMESPACE::DisplayPlaneAlphaFlagBitsKHR::eGlobal
@ eGlobal
VULKAN_HPP_NAMESPACE::FlagTraits< DisplayPlaneAlphaFlagBitsKHR >::allFlags
@ allFlags
Definition: vulkan.hpp:29204